$ErrorActionPreference = 'Stop';

$packageName= 'invantive-estate-for-windows'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Estate%20for%20Windows-17.12.0-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Estate%20for%20Windows-17.12.0-BETA.msi'
  softwareName = 'Invantive Estate for Windows'
  checksum = '1360AF16FDF560225B874559B3AA06E78DD28B07E09888B7FE6BBDBC799FD709'
  checksumType = 'sha256'
  checksum64 = '1360AF16FDF560225B874559B3AA06E78DD28B07E09888B7FE6BBDBC799FD709'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-estate-for-windows-17.12.0-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
